アンケート:Java 5.0 (Tiger) 使ってますか?

閲覧: 5 回
最初の未読メッセージにスキップ

jflute

未読、
2009/12/12 23:11:142009/12/12
To: DBFluteユーザの集い
jfluteです。

「J2SE 5.0」のEOLが終了しましたが、
現在、DBFluteは5.0での動作もサポートしています。
但し、今後どうするのかまだ白紙の状態です。
Java5.0と6.0はあまり違いは無いように見えますが、
実はJDBCの世界では大違いです。DBFluteもそのギャップに
時々悩まされます。なので「もし支障がないなら」いつかは
6.0に専念するようにしたいなとも考えています。

そこで、ユーザの皆様が実際に現場で使ってるJavaのバージョンは
何かな?と「できる範囲でいいので」情報提供して頂ければと思います。

A. 実際に今の開発が5.0。(DBFlute or Other Framework)
B. 前の開発で5.0 (DBFlute or Other Framework)で、まだ5.0のままで運用
C. 知り合いのプロジェクトで「A」もしくは「B」を聞いたことがある
D. その他、面白い話を知ってる・聞いたことがある

などなど、まあ要はJava5.0に関する話題があれば、
なんでも投稿して頂ければと思います。
(「A」や「B」なんかは6.0じゃない理由が明確なものがあれば知りたいですね)

全く緊急性の無いものなので、かつ、これを元にDBFluteのポリシーを
完全に決める訳ではなく決断のときが来たときの「参考」とさせて頂くので、
本当に気の向いたときにとーっても軽い気持ちで投稿して頂ければと。

よろしくお願いします。


#
# ディスカッションに初めて投稿する人は、
# 一度、承認待ちになるので反映されるの少々遅れます。ご了承下さい。
# (やはりSpam投稿が多くって...どうにかなんないのかなぁと)
#

hajimeni

未読、
2009/12/13 21:50:262009/12/13
To: DBFluteユーザの集い
西山(hajimeni)です。

お話しできる範囲ですが、回答させていただきます。

A. JDK5.0 で進行中のプロジェクトが1件
# 理由: OracleApplicationServer10g が JDK5.0 でインストールされる為。JVMの入替は割と大変らしい(?)
のでそのままとのこと。(環境指定されている)
B. JDK5.0 で開発して、運用が5.0のままのものが1件
# 6.0が出た直後な為。(DBFluteは利用していません。)
C. Bのプロジェクトとほぼ同時期に何件か5.0で。理由は、Bと一緒。
D. Appletが、6.0リリース後何回か不安定でした。
# つい最近でもありました。1.6.4、1.6.5、1.6.16 が、とあるAppletが正常に動作しない現象がありました。サーバー側とはあん
まり関係のない話ですが。

これから新規開発するアプリケーションに関しては、「JDK5はEOLが終了したので」6.0になっていくと思いますが、その直前までにリリース(or
開発がスタート)したものは5.0がまだまだあるのではないかと思います。

jflute

未読、
2009/12/15 22:29:072009/12/15
To: DBFluteユーザの集い
久保(jflute)です。

hajimeniさん、ありがとうございます。
とっても貴重な情報です。

やはり、周りのプロダクトに結構引きずられますよね...
開発始まっちゃった、運用始まっちゃったものもなかなか
変化は受け入れられないでしょうね。。。

#
# これは結構前ではありますが、帳票ツールが1.4だから、
# アプリも1.4で作成っていうシステムも聞いたことありましたしね。
#

awaawa

未読、
2009/12/17 11:26:362009/12/17
To: DBFluteユーザの集い
awaawaです。

自分は現在はJDK6.0で開発してますが、
西山(hajimeni)さんと同じ感じで、ちょっと前はAPサーバに引きずられてJDK5.0でした。
すでに存在するAPサーバにシステムを同居させる必要がある場合は、
そうなる可能性がまだあるとおもいます。
(移行できればいいんですが、なかなか・・・)

全員に返信
投稿者に返信
転送
新着メール 0 件